package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HousingTrust{
    private Integer id;
    private String delFlag;
    private String userId;
    private String userName;
    private String realName;
    private String telephone;
    private String address;
    private String addressDetail;
    private String remark;
    private Date createTime;
    private Integer statusFlag;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public String getUserId(){
        return this.userId;
    }

    public void setUserId(String userId){
        this.userId = userId;
    }
    public String getUserName(){
        return this.userName;
    }

    public void setUserName(String userName){
        this.userName = userName;
    }
    public String getRealName(){
        return this.realName;
    }

    public void setRealName(String realName){
        this.realName = realName;
    }
    public String getTelephone(){
        return this.telephone;
    }

    public void setTelephone(String telephone){
        this.telephone = telephone;
    }
    public String getAddress(){
        return this.address;
    }

    public void setAddress(String address){
        this.address = address;
    }
    public String getAddressDetail(){
        return this.addressDetail;
    }

    public void setAddressDetail(String addressDetail){
        this.addressDetail = addressDetail;
    }
    public String getRemark(){
        return this.remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public Integer getStatusFlag(){
        return this.statusFlag;
    }

    public void setStatusFlag(Integer statusFlag){
        this.statusFlag = statusFlag;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

}

